curl --request POST \
--url 'https://api.stateset.com/api/v1/carts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"currency": "USD",
"customer_email": "ada.lovelace@example.com",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"customer_name": "Ada Lovelace",
"expires_in_minutes": 1,
"items": [
{
"description": "Two-person tent, green — replacement for damaged pole set.",
"image_url": "https://cdn.example.com/products/tent-2p.jpg",
"name": "Two-Person Tent",
"original_price": "49.00",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": 2,
"requires_shipping": true,
"sku": "SKU-TENT-2P-GRN",
"unit_price": "49.00"
}
],
"notes": "Two-person tent, green — replacement for damaged pole set."
}'
{
"cart_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"customer_email": "ada.lovelace@example.com",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"discount_amount": "5.00",
"grand_total": "102.12",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [
{
"discount_amount": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": 2,
"sku": "SKU-TENT-2P-GRN",
"total": "102.12",
"unit_price": "49.00"
}
],
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_number": "ORD-10042",
"payment_method": "card",
"shipping_amount": "8.00",
"shipping_method": "ground",
"status": "pending",
"subtotal": "98.00",
"tax_amount": "4.12"
}
Create a cart
Create a cart
POST
/
api
/
v1
/
carts
curl --request POST \
--url 'https://api.stateset.com/api/v1/carts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"currency": "USD",
"customer_email": "ada.lovelace@example.com",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"customer_name": "Ada Lovelace",
"expires_in_minutes": 1,
"items": [
{
"description": "Two-person tent, green — replacement for damaged pole set.",
"image_url": "https://cdn.example.com/products/tent-2p.jpg",
"name": "Two-Person Tent",
"original_price": "49.00",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": 2,
"requires_shipping": true,
"sku": "SKU-TENT-2P-GRN",
"unit_price": "49.00"
}
],
"notes": "Two-person tent, green — replacement for damaged pole set."
}'
{
"cart_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"customer_email": "ada.lovelace@example.com",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"discount_amount": "5.00",
"grand_total": "102.12",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [
{
"discount_amount": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": 2,
"sku": "SKU-TENT-2P-GRN",
"total": "102.12",
"unit_price": "49.00"
}
],
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_number": "ORD-10042",
"payment_method": "card",
"shipping_amount": "8.00",
"shipping_method": "ground",
"status": "pending",
"subtotal": "98.00",
"tax_amount": "4.12"
}
Request body
CreateCartRequest
string,null
ISO 4217 currency code, e.g.
USD.string,null
string,null
string,null
integer,null (int64)
AddCartItemRequest[]
string,null
Response
CartResponse
string
required
string
required
string
required
string,null
string,null
string
required
string
required
string
required
CartItemResponse[]
required
string,null
string,null
string,null
string
required
string,null
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/carts' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"currency": "USD",
"customer_email": "ada.lovelace@example.com",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"customer_name": "Ada Lovelace",
"expires_in_minutes": 1,
"items": [
{
"description": "Two-person tent, green — replacement for damaged pole set.",
"image_url": "https://cdn.example.com/products/tent-2p.jpg",
"name": "Two-Person Tent",
"original_price": "49.00",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": 2,
"requires_shipping": true,
"sku": "SKU-TENT-2P-GRN",
"unit_price": "49.00"
}
],
"notes": "Two-person tent, green — replacement for damaged pole set."
}'
{
"cart_number": "string",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"customer_email": "ada.lovelace@example.com",
"customer_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"discount_amount": "5.00",
"grand_total": "102.12",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"items": [
{
"discount_amount": "5.00",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"quantity": 2,
"sku": "SKU-TENT-2P-GRN",
"total": "102.12",
"unit_price": "49.00"
}
],
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_number": "ORD-10042",
"payment_method": "card",
"shipping_amount": "8.00",
"shipping_method": "ground",
"status": "pending",
"subtotal": "98.00",
"tax_amount": "4.12"
}
Last modified on August 31, 2026